Bug 70435 - pyxf86config removes an end-of-line char in XF86Config
Summary: pyxf86config removes an end-of-line char in XF86Config
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67218 79579
TreeView+ depends on / blocked
 
Reported: 2002-08-01 11:42 UTC by Brent Fox
Modified: 2007-04-18 16:45 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-25 16:07:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brent Fox 2002-08-01 11:42:26 UTC
Before using pyxf86config, the keyboard part of my XF86Config file looked like:

# If you'd like to switch the positions of your capslock and
# control keys, use:
#       Option  "XkbOptions"    "ctrl:nocaps"
        #Option "XkbOptions"    ""
        Identifier  "Keyboard0"
        Driver      "keyboard"
        Option      "XkbRules" "xfree86"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "us"    
        #Option "XkbVariant"    ""

But afterwards, it looks like:

# If you'd like to switch the positions of your capslock and
# control keys, use:
#       Option  "XkbOptions"    "ctrl:nocaps"
        #Option "XkbOptions"    ""
        Identifier  "Keyboard0"
        Driver      "keyboard"
        Option      "XkbRules" "xfree86"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "us"    #Option "XkbVariant"    ""

As you can see, the commented-out line for XkbVariant is no longer on it's own
line.  The XF86Config file works just fine, but this doesn't seem like the
desirable behavior.  Also, if the XkbVariant line is not commented out, then the
EOL is preserved.  So it must have something to do with the next line starting
with a '#'...

Comment 1 Alexander Larsson 2002-08-07 11:34:56 UTC
This is a "bug" in libxf86config. It thinks that everything that is a comment
after an option is a comment about that line. Then when it prints it out it
places it right after the option. I've been irritated by this too.

I'm reassigning to xlibs. mharris, I doubt you want to prioritize this, but
maybe you can bring it up upstream?


Comment 2 Mike A. Harris 2002-08-08 03:19:31 UTC
Hmm.  Indeed, if it is a libxf86config bug, it could potentially be
odd to correctly fix.  I'll report it upstream so that we can go with
whatever they decide is a proper fix by them, and maintain compatibility,
etc.

Comment 3 Mike A. Harris 2002-08-08 03:40:35 UTC
Also, just a note, this is low priority and likely won't be fixed for
our final release, unless someone provides a patch from upstream.
There are far too many much more important bugs needing fixing for
now.

Comment 4 Mike A. Harris 2002-12-30 06:39:34 UTC
Pinged upstream today about this.

Comment 5 Mike A. Harris 2003-01-07 14:20:49 UTC
This issue is fixed in CVS now, but I haven't updated to the fixed version
yet.

Comment 6 Mike A. Harris 2003-01-15 18:53:04 UTC
XFree86-4.2.99.3-20030115.0 build contains these fixes.

Setting to MODIFIED and awaiting confirmation of fix.

Comment 7 Brent Fox 2003-05-25 16:07:10 UTC
Yup, this is fixed now.  Thanks for your help.


Note You need to log in before you can comment on or make changes to this bug.